ContextualDeserializer (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.map

## Interface ContextualDeserializer<T>

- Type Parameters:
    `T` - Type of deserializer to contextualize

      public interface ContextualDeserializer<T>

  Add-on interface that `JsonDeserializer`s can implement to get a callback that can be used to create contextual instances of deserializer to use for handling properties of supported type. This can be useful for deserializers that can be configured by annotations, or should otherwise have differing behavior depending on what kind of property is being deserialized.
  Since:
    1.7

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JsonDeserializer<T>` | `createContextual(DeserializationConfig config, BeanProperty property)` Method called to see if a different (or differently configured) deserializer is needed to deserialize values of specified property.

- - ### Method Detail

    - #### createContextual

          JsonDeserializer<T> createContextual(DeserializationConfig config,
                                             BeanProperty property)
                                               throws JsonMappingException

      Method called to see if a different (or differently configured) deserializer is needed to deserialize values of specified property. Note that instance that this method is called on is typically shared one and as a result method should NOT modify this instance but rather construct and return a new instance. This instance should only be returned as-is, in case it is already suitable for use.
      Parameters:
        `config` - Current deserialization configuration
        `property` - Method, field or constructor parameter that represents the property (and is used to assign deserialized value). Should be available; but there may be cases where caller can not provide it and null is passed instead (in which case impls usually pass 'this' deserializer as is)
      Returns:
        Deserializer to use for deserializing values of specified property; may be this instance or a new instance.
      Throws:
        `JsonMappingException`